petsc-3.4.2 2013-07-02

# DMGetLocalToGlobalMappingBlock

Accesses the blocked local-to-global mapping in a DM.

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMGetLocalToGlobalMappingBlock(DM dm,ISLocalToGlobalMapping *ltog)

Collective on DM

### Input Parameter

da -the distributed array that provides the mapping

### Output Parameter

ltog -the block mapping

### Notes

This mapping can then be used by VecSetLocalToGlobalMappingBlock() or MatSetLocalToGlobalMappingBlock().

### See Also

DMCreateLocalVector(), DMGetLocalToGlobalMapping(), DMGetBlockSize(), VecSetBlockSize(), MatSetBlockSize()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex48.c.html